// Certif.cpp : Implementation of CCertif
#include "stdafx.h"
#include "EidLibCtrl.h"
#include "Certif.h"

/////////////////////////////////////////////////////////////////////////////
// CCertif

CCertif::~CCertif()
{
    m_vtCertif.Clear(); 
}

STDMETHODIMP CCertif::GetCertif(VARIANT *pvtCertif)
{
	if(NULL == pvtCertif)
        return E_POINTER;

    ::VariantCopy(pvtCertif, &m_vtCertif);

	return S_OK;
}

STDMETHODIMP CCertif::GetLabel(BSTR *bstrLabel)
{
	if(NULL == bstrLabel)
        return E_POINTER;

    *bstrLabel = ::SysAllocString(m_strLabel);
	return S_OK;
}

STDMETHODIMP CCertif::GetStatus(long *plStatus)
{
	if(NULL == plStatus)
        return E_POINTER;
    
    *plStatus = m_lStatus;

	return S_OK;
}

STDMETHODIMP CCertif::SetLabel(BSTR bstrLabel)
{
	m_strLabel = bstrLabel;

	return S_OK;
}

STDMETHODIMP CCertif::SetCertif(VARIANT vtCertif)
{
	m_vtCertif = vtCertif;

	return S_OK;
}

STDMETHODIMP CCertif::SetStatus(long lStatus)
{
    m_lStatus = lStatus;

	return S_OK;
}

