// RetStatus.h : Declaration of the CRetStatus

#ifndef __RETSTATUS_H_
#define __RETSTATUS_H_

#include "resource.h"       // main symbols
/////////////////////////////////////////////////////////////////////////////
// CRetStatus
class ATL_NO_VTABLE CRetStatus : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CRetStatus, &CLSID_RetStatus>,
	public IDispatchImpl<IRetStatus, &IID_IRetStatus, &LIBID_EIDLIBCTRLLib>
{
public:
	CRetStatus()
	{
        m_lGeneral = 0;
        m_lSystem = 0;
        m_lPCSC = 0;
	}

DECLARE_REGISTRY_RESOURCEID(IDR_RETSTATUS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CRetStatus)
	COM_INTERFACE_ENTRY(IRetStatus)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IRetStatus
public:
	STDMETHOD(SetCardSW)(/*[in]*/ VARIANT vtCardSW);
	STDMETHOD(GetCardSW)(/*[out,retval]*/ VARIANT *pvtRetVal);
	STDMETHOD(SetSystem)(/*[in]*/long lRetVal);
	STDMETHOD(SetPCSC)(/*[in]*/long lRetVal);
	STDMETHOD(SetGeneral)(/*[in]*/long lRetVal);
	STDMETHOD(GetSystem)(/*[out, retval]*/ long *plRetVal);
	STDMETHOD(GetPCSC)(/*[out, retval]*/ long *plRetVal);
	STDMETHOD(GetGeneral)(/*[out, retval]*/ long *plRetVal);

private:
    long m_lGeneral;
    long m_lSystem;
    long m_lPCSC;
    _variant_t m_vtCardSW;
};

#endif //__RETSTATUS_H_
