#if !defined(AFX_OPTIONSPAGE_H__E5E895A7_7A99_4EBE_B6AB_AB908A290F6E__INCLUDED_)
#define AFX_OPTIONSPAGE_H__E5E895A7_7A99_4EBE_B6AB_AB908A290F6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsPage.h : header file
//

#include "BitmapPicture.h"

/////////////////////////////////////////////////////////////////////////////
// COptionsPage dialog

class COptionsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(COptionsPage)

// Construction
public:
	COptionsPage();
	~COptionsPage();
    void LoadStrings();

// Dialog Data
	//{{AFX_DATA(COptionsPage)
	enum { IDD = IDD_PAGE_OPTIONS };
	CButton	m_CtrlApply;
	CButton	m_CtrlValidation;
	CButton	m_CtrlReaders;
	CStatic	m_CtrlOCSP;
	CButton	m_CtrlLanguage;
	CStatic	m_CtrlGerman;
	CStatic	m_CtrlFrench;
	CStatic	m_CtrlEnglish;
	CStatic	m_CtrlDutch;
	CStatic	m_CtrlCRL;
	CComboBox	m_CtrlReaderVal;
	CComboBox	m_CtrlOCSPVal;
	CComboBox	m_CtrlCRLVal;
	int		m_iLanguage;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(COptionsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(COptionsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonOptionsApply();
	afx_msg void OnSelchangeComboOptionsOcspVal();
	afx_msg void OnSelchangeComboOptionsCrlVal();
	afx_msg void OnSelchangeComboOptionsReaderVal();
	afx_msg void OnStaticOptionsLanguage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    void InitControls();
    void AdjustOCSP();
    void AdjustCRL();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSPAGE_H__E5E895A7_7A99_4EBE_B6AB_AB908A290F6E__INCLUDED_)
