// CertifCheck.cpp : Implementation of CCertifCheck
#include "stdafx.h"
#include "EidLibCtrl.h"
#include "CertifCheck.h"

/////////////////////////////////////////////////////////////////////////////
// CCertifCheck

CCertifCheck::~CCertifCheck()
{
    m_vtCertificates.Clear(); 
}

STDMETHODIMP CCertifCheck::GetPolicy(long *plPolicy)
{
	if(NULL == plPolicy)
        return E_POINTER;
    
    *plPolicy = m_lPolicy;

	return S_OK;
}

STDMETHODIMP CCertifCheck::GetSignatureCheck(long *plSignatureCheck)
{
	if(NULL == plSignatureCheck)
        return E_POINTER;
    
    *plSignatureCheck = m_lSignatureCheck;

	return S_OK;
}

STDMETHODIMP CCertifCheck::GetCertificates(VARIANT *pvtCertificates)
{
	if(NULL == pvtCertificates)
        return E_POINTER;

    ::VariantCopy(pvtCertificates, &m_vtCertificates);

	return S_OK;
}

STDMETHODIMP CCertifCheck::SetPolicy(long lPolicy)
{
	m_lPolicy = lPolicy;

	return S_OK;
}

STDMETHODIMP CCertifCheck::SetSignatureCheck(long lSignatureCheck)
{
	m_lSignatureCheck = lSignatureCheck;

	return S_OK;
}

STDMETHODIMP CCertifCheck::SetCertificates(VARIANT vtCertificates)
{
    m_vtCertificates = vtCertificates;

	return S_OK;
}
