// Pin.cpp : Implementation of CPin
#include "stdafx.h"
#include "EIDLibCtrl.h"
#include "Pin.h"

/////////////////////////////////////////////////////////////////////////////
// CPin


STDMETHODIMP CPin::SetPinType(long lType)
{
    m_lType = lType;
	return S_OK;
}

STDMETHODIMP CPin::SetID(VARIANT vtID)
{
    m_vtID = vtID;
	return S_OK;
}

STDMETHODIMP CPin::SetUsageCode(long lUsageCode)
{
    m_lUsageCode = lUsageCode;
	return S_OK;
}

STDMETHODIMP CPin::SetShortUsage(BSTR strShortUsage)
{
    m_strShortUsage = strShortUsage;
	return S_OK;
}

STDMETHODIMP CPin::SetLongUsage(BSTR strLongUsage)
{
    m_strLongUsage = strLongUsage;
	return S_OK;
}

STDMETHODIMP CPin::GetPinType(long *plType)
{
	if(NULL == plType)
        return E_POINTER;

    *plType = m_lType;

	return S_OK;
}

STDMETHODIMP CPin::GetID(VARIANT *pvtID)
{
	if(NULL == pvtID)
        return E_POINTER;

    ::VariantCopy(pvtID, &m_vtID);
	return S_OK;
}

STDMETHODIMP CPin::GetUsageCode(long *plUsageCode)
{
	if(NULL == plUsageCode)
        return E_POINTER;

    *plUsageCode = m_lUsageCode;
	return S_OK;
}

STDMETHODIMP CPin::GetShortUsage(BSTR *pstrShortUsage)
{
	if(NULL == pstrShortUsage)
        return E_POINTER;
    
    *pstrShortUsage = ::SysAllocString(m_strShortUsage);
	return S_OK;
}

STDMETHODIMP CPin::GetLongUsage(BSTR *pstrLongUsage)
{
	if(NULL == pstrLongUsage)
        return E_POINTER;

    *pstrLongUsage = ::SysAllocString(m_strLongUsage);
	return S_OK;
}
