// Raw.cpp : Implementation of CRaw
#include "stdafx.h"
#include "EIDLibCtrl.h"
#include "Raw.h"

/////////////////////////////////////////////////////////////////////////////
// CRaw


STDMETHODIMP CRaw::SetIDData(VARIANT vtID)
{
    m_vtIDData = vtID;
	return S_OK;
}

STDMETHODIMP CRaw::GetIDData(VARIANT *pvtID)
{
	if(NULL == pvtID)
        return E_POINTER;

    ::VariantCopy(pvtID, &m_vtIDData);
	return S_OK;
}

STDMETHODIMP CRaw::SetIDSigData(VARIANT vtIDSigData)
{
    m_vtIDSigData = vtIDSigData;
	return S_OK;
}

STDMETHODIMP CRaw::GetIDSigData(VARIANT *pvtIDSigData)
{
	if(NULL == pvtIDSigData)
        return E_POINTER;

    ::VariantCopy(pvtIDSigData, &m_vtIDSigData);
	return S_OK;
}

STDMETHODIMP CRaw::SetAddrData(VARIANT vtAddrData)
{
    m_vtAddrData = vtAddrData;
	return S_OK;
}

STDMETHODIMP CRaw::GetAddrData(VARIANT *pvtAddrData)
{
	if(NULL == pvtAddrData)
        return E_POINTER;

    ::VariantCopy(pvtAddrData, &m_vtAddrData);
	return S_OK;
}

STDMETHODIMP CRaw::SetAddrSigData(VARIANT vtAddrSigData)
{
    m_vtAddrSigData = vtAddrSigData;
	return S_OK;
}

STDMETHODIMP CRaw::GetAddrSigData(VARIANT *pvtAddrSigData)
{
	if(NULL == pvtAddrSigData)
        return E_POINTER;

    ::VariantCopy(pvtAddrSigData, &m_vtAddrSigData);
	return S_OK;
}

STDMETHODIMP CRaw::SetPictureData(VARIANT vtPictureData)
{
    m_vtPictureData = vtPictureData;
	return S_OK;
}

STDMETHODIMP CRaw::GetPictureData(VARIANT *pvtPictureData)
{
	if(NULL == pvtPictureData)
        return E_POINTER;

    ::VariantCopy(pvtPictureData, &m_vtPictureData);
	return S_OK;
}

STDMETHODIMP CRaw::SetRNData(VARIANT vtRNData)
{
    m_vtRNData = vtRNData;
	return S_OK;
}

STDMETHODIMP CRaw::GetRNData(VARIANT *pvtRNData)
{
	if(NULL == pvtRNData)
        return E_POINTER;

    ::VariantCopy(pvtRNData, &m_vtRNData);
	return S_OK;
}

STDMETHODIMP CRaw::SetCardData(VARIANT vtCardData)
{
    m_vtCardData = vtCardData;
	return S_OK;
}

STDMETHODIMP CRaw::GetCardData(VARIANT *pvtCardData)
{
	if(NULL == pvtCardData)
        return E_POINTER;

    ::VariantCopy(pvtCardData, &m_vtCardData);
	return S_OK;
}

STDMETHODIMP CRaw::SetTokenInfoData(VARIANT vtTokenInfoData)
{
    m_vtTokenInfoData = vtTokenInfoData;
	return S_OK;
}

STDMETHODIMP CRaw::GetTokenInfoData(VARIANT *pvtTokenInfoData)
{
	if(NULL == pvtTokenInfoData)
        return E_POINTER;

    ::VariantCopy(pvtTokenInfoData, &m_vtTokenInfoData);
	return S_OK;
}

STDMETHODIMP CRaw::SetChallengeData(VARIANT vtChallengeData)
{
    m_vtChallengeData = vtChallengeData;
	return S_OK;
}

STDMETHODIMP CRaw::GetChallengeData(VARIANT *pvtChallengeData)
{
	if(NULL == pvtChallengeData)
        return E_POINTER;

    ::VariantCopy(pvtChallengeData, &m_vtChallengeData);
	return S_OK;
}

STDMETHODIMP CRaw::SetResponseData(VARIANT vtResponseData)
{
    m_vtResponseData = vtResponseData;
	return S_OK;
}

STDMETHODIMP CRaw::GetResponseData(VARIANT *pvtResponseData)
{
	if(NULL == pvtResponseData)
        return E_POINTER;

    ::VariantCopy(pvtResponseData, &m_vtResponseData);
	return S_OK;
}
