// RetStatus.cpp : Implementation of CRetStatus
#include "stdafx.h"
#include "EidLibCtrl.h"
#include "RetStatus.h"

/////////////////////////////////////////////////////////////////////////////
// CRetStatus


STDMETHODIMP CRetStatus::GetGeneral(long *plRetVal)
{
    if(NULL == plRetVal)
        return E_POINTER;

    *plRetVal = m_lGeneral;
	return S_OK;
}

STDMETHODIMP CRetStatus::GetPCSC(long *plRetVal)
{
    if(NULL == plRetVal)
        return E_POINTER;

    *plRetVal = m_lPCSC;
	return S_OK;
}

STDMETHODIMP CRetStatus::GetSystem(long *plRetVal)
{
    if(NULL == plRetVal)
        return E_POINTER;

    *plRetVal = m_lSystem;
	return S_OK;
}

STDMETHODIMP CRetStatus::SetGeneral(long lRetVal)
{
	m_lGeneral = lRetVal;
	return S_OK;
}

STDMETHODIMP CRetStatus::SetPCSC(long lRetVal)
{
	m_lPCSC = lRetVal;
	return S_OK;
}

STDMETHODIMP CRetStatus::SetSystem(long lRetVal)
{
	m_lSystem = lRetVal;
	return S_OK;
}

STDMETHODIMP CRetStatus::GetCardSW(VARIANT *pvtRetVal)
{
    if(NULL == pvtRetVal)
        return E_POINTER;

    ::VariantCopy(pvtRetVal, &m_vtCardSW);
	return S_OK;
}

STDMETHODIMP CRetStatus::SetCardSW(VARIANT vtCardSW)
{
    m_vtCardSW = vtCardSW;   
	return S_OK;
}
