// CardDataPage.cpp : implementation file
//

#include "stdafx.h"
#include "eidgui.h"
#include "CardDataPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CEidGUIApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CCardDataPage property page

IMPLEMENT_DYNCREATE(CCardDataPage, CPropertyPage)

CCardDataPage::CCardDataPage() : CPropertyPage(CCardDataPage::IDD)
{
    memset(&m_VersionInfo, 0, sizeof(BEID_VersionInfo));
	//{{AFX_DATA_INIT(CCardDataPage)
	//}}AFX_DATA_INIT
}

CCardDataPage::~CCardDataPage()
{
    m_vecVersionLabels.clear();
    ClearMap();
}

void CCardDataPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCardDataPage)
	DDX_Control(pDX, IDC_TREE_CARDDATA_PIN, m_CtrlPinTree);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_VERSIONINFO_GROUP, m_CtrlVersionInfoGroup);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINTREE_LABEL, m_CtrlPinTreeLabel);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINSTATUS_VAL, m_CtrlPinStatusVal);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINSTATUS_LABEL, m_CtrlPinStatus);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINNAME_VAL, m_CtrlPinNameVal);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINNAME_LABEL, m_CtrlPinName);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINID_LABEL, m_CtrlPinID);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PINID_VAL, m_CtrlPinIDVal);
	DDX_Control(pDX, IDC_STATIC_CARDDATA_PIN_GROUP, m_CtrlPinInfoGroup);
	DDX_Control(pDX, IDC_LIST_CARDDATA_VERSIONINFO, m_CtrlListVersionInfo);
	DDX_Control(pDX, IDC_BUTTON_CARDDATA_CHANGEPIN, m_CtrlButtonChangePin);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCardDataPage, CPropertyPage)
	//{{AFX_MSG_MAP(CCardDataPage)
	ON_NOTIFY(TVN_SELCHANGED, IDC_TREE_CARDDATA_PIN, OnSelchangedTreeCarddataPin)
	ON_BN_CLICKED(IDC_BUTTON_CARDDATA_CHANGEPIN, OnButtonCarddataChangepin)
	ON_NOTIFY(TVN_DELETEITEM, IDC_TREE_CARDDATA_PIN, OnDeleteitemTreeCarddataPin)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCardDataPage message handlers

void CCardDataPage::LoadStrings()
{
    if(m_hWnd == NULL || !::IsWindow(m_hWnd))
        return;

    CString strTemp;

    // Labels
    strTemp.LoadString(IDS_STRING_CARDDATA_DLGTITLE);
    SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_PINTREE_LABEL);
	m_CtrlPinTreeLabel.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSIONINFOGROUP);
	m_CtrlVersionInfoGroup.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_PINSTATUS);
	m_CtrlPinStatus.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_PINNAME);
	m_CtrlPinName.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_PINID);
	m_CtrlPinID.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_PININFOGROUP);
	m_CtrlPinInfoGroup.SetWindowText(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_CHANGEPIN);
	m_CtrlButtonChangePin.SetWindowText(strTemp);

    // List Control Keys
    m_vecVersionLabels.clear();
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_CHIPNR);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_COMPCODE);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_OSNR);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_OSVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_SOFTMASKNR);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_SOFTMASKVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_APPLETVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_GLOBALOSVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_APPLETITFVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_PKCS1);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_KEYEXCHVER);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_APPLIFECYCLE);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_GRAPHPERSO);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_ELECPERSO);
    m_vecVersionLabels.push_back(strTemp);
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_ELECPERSOITF);
    m_vecVersionLabels.push_back(strTemp);

    LVCOLUMN lvTemp = {0};
    lvTemp.mask = LVCF_WIDTH;
    if(m_CtrlListVersionInfo.GetColumn(0, &lvTemp))
    {
        LVCOLUMN lvCol = {0};
        lvCol.mask = LVCF_TEXT;
        TCHAR szText[64] = {0};
        lvCol.pszText = szText;
        lvCol.cchTextMax = sizeof(szText);
        strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_HEADERKEY);
        _tcscpy(szText, strTemp);
        m_CtrlListVersionInfo.SetColumn(0, &lvCol);
        strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_HEADERVALUE);
        _tcscpy(szText, strTemp);
        m_CtrlListVersionInfo.SetColumn(1, &lvCol);
    }
}

void CCardDataPage::InitControls() 
{
    // List Control
    CRect oRect;
    m_CtrlListVersionInfo.GetClientRect(&oRect); 
    CString strTemp;
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_HEADERKEY);
    m_CtrlListVersionInfo.InsertColumn(0, strTemp, LVCFMT_LEFT, oRect.Width() / 2 );
    strTemp.LoadString(IDS_STRING_CARDDATA_VERSION_HEADERVALUE);
    m_CtrlListVersionInfo.InsertColumn(1, strTemp, LVCFMT_LEFT, oRect.Width() / 2 );

    // Tree Control
    m_imgList.Create(IDB_BITMAP_CERTIFICATES_IMG, 16, 16, RGB (192,192,192));
	m_CtrlPinTree.SetImageList(&m_imgList, TVSIL_NORMAL);    

    // Data fields
    COLORREF crBack = RGB(255,255,255);
    m_CtrlPinStatusVal.SetBackgroundColor(crBack);
	m_CtrlPinNameVal.SetBackgroundColor(crBack);
	m_CtrlPinIDVal.SetBackgroundColor(crBack);

     // Data fields Font
    CConfig & oConfig = theApp.GetConfig();
    CString strFontData = theApp.GetDataFont();
    int iHeight = oConfig.m_lFontSize; 
    if(!strFontData.IsEmpty())
    {
        m_CtrlPinStatusVal.SetFont(strFontData, iHeight);
	    m_CtrlPinNameVal.SetFont(strFontData, iHeight);
	    m_CtrlPinIDVal.SetFont(strFontData, iHeight);

        /*
        CFont *pCurFont = m_CtrlPinTree.GetFont();
        LOGFONT lfCurLogFont = {0}; 
        pCurFont->GetLogFont(&lfCurLogFont);
        CFont oFont;
		_tcsncpy(lfCurLogFont.lfFaceName, strFontData, sizeof(lfCurLogFont.lfFaceName)/sizeof(TCHAR)-1);
	    oFont.CreateFontIndirect(&lfCurLogFont);
        m_CtrlPinTree.SetFont(&oFont);
        m_CtrlListVersionInfo.SetFont(&oFont);
        */
    }
}

BOOL CCardDataPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
    LoadStrings();
    InitControls();
    FillList();
	FillTree();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CCardDataPage::FillTree()
{
    if(m_hWnd == NULL || !::IsWindow(m_hWnd))
        return;

    m_CtrlPinTree.DeleteAllItems();
  
    SetTextFields (NULL);

     if (0 == m_oMapPins.size())
    {
        return;
    }
    
     std::map<CString, std::vector<CPin> >::iterator it;
    for (it = m_oMapPins.begin(); it != m_oMapPins.end(); ++it)
    {
        HTREEITEM hRoot = m_CtrlPinTree.InsertItem((*it).first);
        m_CtrlPinTree.SetItemImage(hRoot, 1, 1);

        for(int i = 0; i < (*it).second.size(); ++i)
        {
              CPin & oPin = (*it).second[i];
              CPin *pPin = new CPin(oPin);
              HTREEITEM hItem = m_CtrlPinTree.InsertItem(oPin.GetLabel(), hRoot);
              m_CtrlPinTree.SetItemData(hItem, (DWORD)pPin); 
        }
    }
    HTREEITEM hRoot = m_CtrlPinTree.GetRootItem();
    if(hRoot != NULL)
    {
        m_CtrlPinTree.Expand(hRoot, TVE_EXPAND); 
    }
}

void CCardDataPage::FillList()
{
    if(m_hWnd == NULL || !::IsWindow(m_hWnd))
        return;

    m_CtrlListVersionInfo.DeleteAllItems();

    unsigned char ucSerial[16] = {0};
    if(0 == memcmp(m_VersionInfo.SerialNumber, ucSerial, 16))
        return;

    int i = 0;
    CString strTemp;
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);
    strTemp = theApp.Hexify(m_VersionInfo.SerialNumber, 16); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]); 
    strTemp.Format(_T("%02X"), m_VersionInfo.ComponentCode); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.OSNumber); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.OSVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.SoftmaskNumber); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.SoftmaskVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.AppletVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%04X"), m_VersionInfo.GlobalOSVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.AppletInterfaceVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.PKCS1Support); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.KeyExchangeVersion); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.ApplicationLifeCycle); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.GraphPerso); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.ElecPerso); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
    m_CtrlListVersionInfo.InsertItem(i, m_vecVersionLabels[i]);  
    strTemp.Format(_T("%02X"), m_VersionInfo.ElecPersoInterface); 
    m_CtrlListVersionInfo.SetItemText(i++, 1, strTemp); 
}

void CCardDataPage::SetVersionInfoData(BEID_VersionInfo *pVersion)
{
    ASSERT(pVersion);
    memcpy(&m_VersionInfo, pVersion, sizeof(BEID_VersionInfo));
    FillList();
}

void CCardDataPage::SetPINData(std::map<CString, std::vector<CPin> > & PinMap)
{
    ClearMap();

    m_oMapPins = PinMap;
    FillTree();
}

void CCardDataPage::SetTextFields(CPin *pPin) 
{
    if(pPin == NULL)
    {
        // Clear all fields
        m_CtrlPinStatusVal.SetWindowText(_T(""));
	    m_CtrlPinNameVal.SetWindowText(_T(""));
	    m_CtrlPinIDVal.SetWindowText(_T(""));
        m_CtrlButtonChangePin.EnableWindow(FALSE);
    }
    else
    {
        CString strTemp;
        long lLeft = pPin->GetTriesLeft(); 
        if(-1 == lLeft)
        {
            strTemp.LoadString(IDS_STRING_CARDDATA_PINSTATUS_UNKNOWN);
        }
        else
        {
            CString strTries;
            strTries.LoadString(IDS_STRING_CARDDATA_PINSTATUS_TRIESLEFT);
            strTemp.Format(_T(" %ld %s"), lLeft, strTries);
        }
        m_CtrlPinStatusVal.SetWindowText(strTemp);
        strTemp.Format(_T("%s"), pPin->GetLabel());
	    m_CtrlPinNameVal.SetWindowText(strTemp);
        strTemp.Format(_T("%02ld"), pPin->GetReference());
	    m_CtrlPinIDVal.SetWindowText(strTemp);
        m_CtrlButtonChangePin.EnableWindow(TRUE);
    }
    RedrawWindow();
}

void CCardDataPage::OnSelchangedTreeCarddataPin(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;
    CPin *pPin = (CPin *)m_CtrlPinTree.GetItemData (pNMTreeView->itemNew.hItem);

    SetTextFields (pPin);
	
	*pResult = 0;
}

void CCardDataPage::OnButtonCarddataChangepin() 
{
    CPin *pPin = NULL;
    HTREEITEM hItem = m_CtrlPinTree.GetSelectedItem ();
    if (NULL != hItem)
    {
        pPin = (CPin *)m_CtrlPinTree.GetItemData (hItem);
    }

    if (NULL != pPin)
    {
	    if(!theApp.ChangePin(pPin))
            return;

        CString strTemp;
        long lLeft = pPin->GetTriesLeft(); 
        if(-1 == lLeft)
        {
            strTemp.LoadString(IDS_STRING_CARDDATA_PINSTATUS_UNKNOWN);
        }
        else
        {
            CString strTries;
            strTries.LoadString(IDS_STRING_CARDDATA_PINSTATUS_TRIESLEFT);
            strTemp.Format(_T(" %ld %s"), lLeft, strTries);
        }
        m_CtrlPinStatusVal.SetWindowText(strTemp);    
        m_CtrlPinStatusVal.RedrawWindow(); 
    }
}

void CCardDataPage::ClearMap()
{
    m_oMapPins.clear();
}

void CCardDataPage::OnDeleteitemTreeCarddataPin(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;

    CPin *pPin = (CPin *)m_CtrlPinTree.GetItemData (pNMTreeView->itemOld.hItem);
	if(pPin != NULL)
    {
        delete pPin;
        m_CtrlPinTree.SetItemData (pNMTreeView->itemOld.hItem, NULL);
    }
	*pResult = 0;
}
