#if !defined(AFX_CARDDATAPAGE_H__F963075A_47B4_4190_AF7E_E8312309A7F9__INCLUDED_)
#define AFX_CARDDATAPAGE_H__F963075A_47B4_4190_AF7E_E8312309A7F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CardDataPage.h : header file
//

#include <vector>
#include <map>
#include "XColorStatic.h"

/////////////////////////////////////////////////////////////////////////////
// CCardDataPage dialog

class CCardDataPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CCardDataPage)

// Construction
public:
	CCardDataPage();
	~CCardDataPage();
    void SetVersionInfoData(BEID_VersionInfo *pVersion);
    void SetPINData(std::map<CString, std::vector<CPin> > & PinMap);

    void LoadStrings();

// Dialog Data
	//{{AFX_DATA(CCardDataPage)
	enum { IDD = IDD_PAGE_CARDDATA };
	CTreeCtrl	m_CtrlPinTree;
	CButton	m_CtrlVersionInfoGroup;
	CStatic	m_CtrlPinTreeLabel;
	CXColorStatic	m_CtrlPinStatusVal;
	CStatic	m_CtrlPinStatus;
	CXColorStatic	m_CtrlPinNameVal;
	CStatic	m_CtrlPinName;
	CStatic	m_CtrlPinID;
	CXColorStatic	m_CtrlPinIDVal;
	CButton	m_CtrlPinInfoGroup;
	CListCtrl	m_CtrlListVersionInfo;
	CButton	m_CtrlButtonChangePin;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CCardDataPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CCardDataPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedTreeCarddataPin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonCarddataChangepin();
	afx_msg void OnDeleteitemTreeCarddataPin(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    void InitControls();
    void FillTree();
    void FillList();
    void SetTextFields(CPin *pPin);
    void ClearMap();

private:
  	CImageList m_imgList;
    std::vector<CString> m_vecVersionLabels;
    BEID_VersionInfo m_VersionInfo;
    std::map<CString, std::vector<CPin> > m_oMapPins;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CARDDATAPAGE_H__F963075A_47B4_4190_AF7E_E8312309A7F9__INCLUDED_)
