// Pin.cpp: implementation of the CPin class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "eidgui.h"
#include "Pin.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPin::CPin()
{
    int m_iRef = 0;
    int m_iTriesLeft = -1;
    int m_iFlags = 0;
    int m_iType = 0;
    m_bPinPad = false;
}

CPin::~CPin()
{

}

CPin::CPin(const CPin & oPin)
{
    m_iRef = oPin.GetReference(); 
    m_iTriesLeft = -oPin.GetTriesLeft(); 
    m_iFlags = oPin.GetFlags(); 
    m_iType = oPin.GetType();
    m_AuthID.RemoveAll();
    m_AuthID.Append(oPin.GetAuthID());   
    m_strApp = oPin.GetApplication();
    m_bPinPad = oPin.GetPinPad();
    m_strLabel = oPin.GetLabel();
}

CPin& CPin::operator =( const CPin & oPin )
{
    if(this != &oPin)
    {
		this->CPin::~CPin();
		this->CPin::CPin(oPin);
    }
    return *this;
}

